Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235409 - Review Request: petitboot - graphical kexec-based bootloader
Summary: Review Request: petitboot - graphical kexec-based bootloader
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 16:15 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-25 14:31:42 UTC
jwboyer: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description David Woodhouse 2007-04-05 16:15:19 UTC
Spec URL: http://david.woodhou.se/petitboot/petitboot.spec
SRPM URL: http://david.woodhou.se/petitboot/petitboot-0.0.1-1.fc7.src.rpm
Description:
Petitboot is a graphical bootloader for the PlayStation 3. It's based
on the existing kboot project, plus the twin windowing system for the
GUI.

Comment 1 Josh Boyer 2007-04-05 19:03:56 UTC
Good must items:

- rpmlint runs clean
- meets naming guidelines
- spec file matches base name
- meets packaging guidelines
- license field matches actual license
- plain english, legible 
- source matches upstream
- builds
- dependencies in BuildRequires
- no duplicate files
- proper file permissions
- proper macro use
- contains appropriate %clean
- no devel package
- contains no .la files

The license in the spec file is correct, however there are very few files that
actually have a license header in them and a copy of the GPL is not included. 
I've emailed upstream myself about this so it can be fixed in future versions.

APPROVED

Comment 2 Josh Boyer 2007-04-05 19:54:12 UTC
New Package CVS Request
=======================
Package Name: petitboot
Short Description: Graphical Bootloader
Owners: dwmw2@redhat.com
Branches: 
InitialCC: jwboyer@jdub.homelinux.org

Comment 3 Josh Boyer 2007-04-05 20:06:02 UTC
done

Comment 4 Christian Iseli 2007-07-05 22:33:16 UTC
Added a space after "Review Request:" in the Summary, to make the Package Status
script happy...


Note You need to log in before you can comment on or make changes to this bug.